//
//  LIMediumManagedObject-CoreData.h
//  Library
//
//  Created by William Shipley on 7/29/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//


@class LIAmazonPerCountryCacheEntryManagedObject, LIFriend, LILoan, LICoverImageManagedObject, LIRootShelfManagedObject, LIShelf, LISmartShelf, LIYourShelf, LIUserReviewManagedObject, LIUserSynopsisManagedObject;


@interface LIMedia (CoreData)

#pragma mark CoreData
// Medium attributes (user data)
@property (retain) NSString *associatedURL;
@property (retain) NSDate *creationDate;
@property (retain) NSString *foreignUUIDString;
@property (retain) NSNumber *hasExperienced;
@property (retain) NSNumber *isSigned;
@property (retain) NSString *key;
@property (retain) NSString *locationSingularString;
@property (retain) NSString *notes;
@property (retain) NSString *ownerSingularString;
@property (retain) NSNumber *privateCollection;
@property (retain) NSDate *purchaseDate;
@property (retain) NSNumber *rare;
@property (retain) NSNumber *rating;
@property (retain) NSString *serialNumber;
@property (retain) NSNumber *used;
// Medium relationships
@property (retain) LIAmazonPerCountryCacheEntryManagedObject *amazonPerCountryCacheEntry;
@property (retain) LIRootShelfManagedObject *rootShelf;
@property (retain) LILoan *loan;
@property (retain) NSSet *shelves;
@property (retain) LIUserReviewManagedObject *userReview;
@property (retain) LIUserSynopsisManagedObject *userSynopsis;
@end


// Medium entity properties
extern NSString *LIMediumEntityName,  *LIiTunesAbstractCollectionMediumEntityName;
// attribute keys
extern NSString *LIMediaAssociatedURLAttributeKey;
//extern NSString *LIMediaCoverBackgroundColorAttributeKey; // media cover data attributes
extern NSString *LIMediaCreationDateAttributeKey;
extern NSString *LIMediaHasExperiencedAttributeKey;
extern NSString *LIMediaForeignUUIDStringAttributeKey;
extern NSString *LIMediaIsSignedAttributeKey;
extern NSString *LIMediaKeyAttributeKey; // Software, VideoGame
extern NSString *LIMediaLocationStringAttributeKey;
extern NSString *LIMediaNotesAttributeKey;
extern NSString *LIMediaOwnerStringAttributeKey;
extern NSString *LIMediaPrivateCollectionAttributeKey;
extern NSString *LIMediaPurchaseDateAttributeKey;
extern NSString *LIMediaRareAttributeKey;
extern NSString *LIMediaRatingAttributeKey;
extern NSString *LIMediaSerialNumberAttributeKey; // VideoGame, Software, Gadget
extern NSString *LIMediaUsedAttributeKey;
// to-one relationship keys
extern NSString *LIMediaAmazonPerCountryCacheEntryRelationshipKey;
extern NSString *LIMediaRootShelfRelationshipKey;
extern NSString *LIMediaLoanRelationshipKey;
extern NSString *LIMediaUserReviewRelationshipKey;
extern NSString *LIMediaUserSynopsisRelationshipKey;